Bug 2112222 (CVE-2022-33745) - CVE-2022-33745 xen: insufficient TLB flush for x86 PV guests in shadow mode
Summary: CVE-2022-33745 xen: insufficient TLB flush for x86 PV guests in shadow mode
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2022-33745
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2112223
Blocks: 2112118
TreeView+ depends on / blocked
 
Reported: 2022-07-29 06:08 UTC by Sandipan Roy
Modified: 2022-08-30 18:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-30 18:55:51 UTC


Attachments (Terms of Use)

Description Sandipan Roy 2022-07-29 06:08:40 UTC
insufficient TLB flush for x86 PV guests in shadow mode For migration as well as to work around kernels unaware of L1TF (see XSA-273), PV guests may be run in shadow paging mode. To address XSA-401, code was moved inside a function in Xen. This code movement missed a variable changing meaning / value between old and new code positions. The now wrong use of the variable did lead to a wrong TLB flush condition, omitting flushes where such are necessary.

https://xenbits.xenproject.org/xsa/advisory-408.txt
http://xenbits.xen.org/xsa/advisory-408.html
http://www.openwall.com/lists/oss-security/2022/07/26/2
http://www.openwall.com/lists/oss-security/2022/07/26/3

Comment 1 Sandipan Roy 2022-07-29 06:09:00 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 2112223]

Comment 2 Product Security DevOps Team 2022-08-30 18:55:50 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.